# Используем официальный образ Node.js
FROM node:16-alpine

# Устанавливаем рабочую директорию
WORKDIR /usr/src/app

# Копируем package.json и package-lock.json для установки зависимостей
COPY package*.json ./

# Устанавливаем зависимости
RUN npm install

# Копируем все файлы проекта
COPY . .

# Создаем директорию для статических файлов
RUN mkdir -p /usr/src/app/src/public

# Указываем, что приложение будет работать на порту 3000
EXPOSE 3000

# Команда для запуска приложения
CMD ["node", "src/server.js"]
